<!--
  Generated template for the StockSurveyPage page.
  
  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  
  <ion-navbar>
    <ion-title>Stock Survey</ion-title>
  </ion-navbar>
  
</ion-header>


<ion-content padding>
  <ion-grid>
    <ion-row>
      <ion-col col-12>
        <div><b>#Simcard</b></div>
        <hr>
      </ion-col>
      <ion-col col-12 >
        <table border="1" width="100%">
            <tr>
                <td colspan="3"><b>Simcard</b></td>
              </tr> 
          <tr>
            <td>Telkomcel</td>
            <td>Timor Telecom</td>
            <td>Telemor</td>
          </tr>
          <tr>
            <td><ion-input type="number" value="0" (click)="simcard.telkomcel= ''" [(ngModel)]="simcard.telkomcel"></ion-input></td>
            <td> <ion-input type="number" value="0" (click)="simcard.telecom= ''" [(ngModel)]="simcard.telecom"></ion-input></td>
            <td><ion-input type="number" value="0" (click)="simcard.telemor= ''" [(ngModel)]="simcard.telemor"></ion-input></td>
          </tr>
        </table>
      </ion-col>
    </ion-row>
    
    <ion-row>
      <ion-col col-12>
        <div><b>#E-Topup</b></div>
        <hr>
      </ion-col>
      <ion-col col-12 >
        
        <table border="1" width="100%">
            <tr>
                <td colspan="3"><b>E-topup</b></td>
              </tr> 
          <tr>
            <td>Telkomcel</td>
            <td>Timor Telecom</td>
            <td>Telemor</td>
          </tr>
          <tr>
            <td><ion-input type="number" value="0"  (click)="etopup.telkomcel= ''" [(ngModel)]="etopup.telkomcel"></ion-input></td>
            <td> <ion-input type="number" value="0" (click)="etopup.telecom= ''" [(ngModel)]="etopup.telecom"></ion-input></td>
            <td><ion-input type="number" value="0"  (click)="etopup.telemor= ''" [(ngModel)]="etopup.telemor"></ion-input></td>
          </tr>
        </table>
        
      </ion-col>
    </ion-row>
    
    <ion-row>
      <ion-col col-12>
        <div><b>#Voucher</b></div>
        <hr>
      </ion-col>
      <ion-col col-12 >
        <div *ngFor="let i of voucher;" margin-bottom>
          
          <table border="1" width="100%">
              <tr>
                  <td colspan="3"><b>{{i.product_name}}</b></td>
                </tr>  
            <tr>
              <td>Telkomcel</td>
              <td>Timor Telecom</td>
              <td>Telemor</td>
            </tr>
            <tr>
              <td><ion-input type="number"  (click)="vtelkomcel[i.id]= ''" [(ngModel)]="vtelkomcel[i.id]"></ion-input></td>
              <td> <ion-input type="number" (click)="vtelecom[i.id]= ''" [(ngModel)]="vtelecom[i.id]"></ion-input></td>
              <td><ion-input type="number" (click)="vtelemor[i.id]= ''" [(ngModel)]="vtelemor[i.id]"></ion-input></td>
            </tr>
          </table>
          
        </div>
      </ion-col>
    </ion-row>
    
    <ion-row>
      <ion-col col-12>
        <div><b>#Bundling</b></div>
        <hr>
      </ion-col>
      <ion-col col-12 >
          
          <div margin-bottom *ngFor="let i of product;">
          <table border="1" width="100%">
              <tr>
                  <td colspan="3"><b>{{i.product_name}}</b></td>
                </tr>  
            <tr>
              <td>Telkomcel</td>
              <td>Timor Telecom</td>
              <td>Telemor</td>
            </tr>
            <tr>
              <td><ion-input type="number"  (click)="telkomcel[i.id] = '' " [(ngModel)]="telkomcel[i.id]"></ion-input></td>
              <td> <ion-input type="number" (click)="telecom[i.id] = '' " [(ngModel)]="telecom[i.id]"></ion-input></td>
              <td><ion-input type="number" (click)="telemor[i.id] = '' " [(ngModel)]="telemor[i.id]"></ion-input></td>
            </tr>
          </table>
        </div>

      </ion-col>
    </ion-row>
    
    <button ion-button round outline block (click)="toSalesOrder()">Next</button>
  </ion-grid>
</ion-content>
